function draw_loading_screen()
	local sprite_bg = spr.load 'box:800x600,lightyellow';
	local sprite_txt_title = spr.text(fnt_header, 'Парк', 'black', 1);
	local sprite_txt_loading = spr.text(fnt_text, 'Загрузка...', 'black', 1);
	
	spr.draw(sprite_bg, spr.screen(), 0, 0);
	spr.draw(sprite_txt_title, spr.screen(), 320, 200);
	spr.draw(sprite_txt_loading, spr.screen(), 330, 270);
	
	spr.free(sprite_txt_title);
	spr.free(sprite_txt_loading);
	spr.free(sprite_bg);
end

function draw_info()
	local x, y = stead.mouse_pos();
	local border_x = math.floor(x / 30);
	local border_y = math.floor(y / 30);
	local sprite_txt_mouse_coords = spr.text(fnt_microtext, 'Координаты мыши: ' .. x .. ' x ' .. y, 'black', 1);
	local sprite_txt_border_coords = spr.text(fnt_microtext, 'Координаты рамки: ' .. border_x .. ' x ' .. border_y, 'black', 1);
	local sprite_txt_fps = spr.text(fnt_microtext, 'FPS: ' .. fps, 'black', 1);
	local sprite_txt_connect_status = spr.text(fnt_microtext, 'Связь с сервером: ' .. connect_status, 'black', 1);
	
	spr.draw(sprite_info_panel, spr.screen(), 600, 0);
	spr.draw(sprite_txt_mouse_coords, spr.screen(), 610, 10);
	spr.draw(sprite_txt_border_coords, spr.screen(), 610, 25);
	spr.draw(sprite_txt_fps, spr.screen(), 610, 40);
	spr.draw(sprite_txt_connect_status, spr.screen(), 610, 55);
	
	if x < 600 then
		spr.copy(sprite_border, spr.screen(), border_x * 30, border_y * 30);
	end;
	
	spr.free(sprite_txt_mouse_coords);
	spr.free(sprite_txt_border_coords);
	spr.free(sprite_txt_fps);
	spr.free(sprite_txt_connect_status);
end

function draw_map()
	local x, y;
	
	spr.draw(sprite_bg, spr.screen(), 0, 0);
	
	for y = 1, 20 do
		for x = 1, 20 do
			if map[y][x] == 'g' then
				spr.draw(sprite_grass, spr.screen(), (x - 1) * 30, (y - 1) * 30);
			elseif map[y][x] == 'w' then
				spr.draw(sprite_water, spr.screen(), (x - 1) * 30, (y - 1) * 30);
			end;
		end;
	end	
end